Bug 13823 - Do print mkdir failure message on error debug level when initializing messaging
Do print mkdir failure message on error debug level when initializing messaging
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Other
4.9.4
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-03-06 12:47 UTC by Andreas Schneider
Modified: 2019-03-19 09:25 UTC (History)
3 users (show)

See Also:


Attachments
patch for 4.10, 4.9 and 4.8 (1.12 KB, patch)
2019-03-12 08:09 UTC, Andreas Schneider
ab: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2019-03-06 12:47:34 UTC
We should not try to create a file as a directory.

Error:                                                                                                                                                                                    
mkdir failed on directory /var/lib/samba/lock/msg.lock: Permission denied
Comment 1 Andreas Schneider 2019-03-06 13:02:00 UTC
The fix for this is in: https://gitlab.com/samba-team/samba/merge_requests/276
Comment 2 Stefan Metzmacher 2019-03-06 13:42:45 UTC
(In reply to Andreas Schneider from comment #0)

This seems to be wrong, as we use it like this:
/var/lib/samba/private/msg.sock/29186
/var/cache/samba/msg.lock/29186

It must be something else
Comment 3 Andreas Schneider 2019-03-07 11:35:48 UTC
The error gets printed everything when we try to establishing a connection with smbclient and try to setup messaging.
Comment 4 Andreas Schneider 2019-03-12 08:09:20 UTC
Created attachment 14919 [details]
patch for 4.10, 4.9 and 4.8
Comment 5 Alexander Bokovoy 2019-03-12 08:27:13 UTC
Comment on attachment 14919 [details]
patch for 4.10, 4.9 and 4.8

LGTM.
Comment 6 Andreas Schneider 2019-03-12 11:04:25 UTC
Karolin, please apply the patch to the relevant branches. Thanks!
Comment 7 Karolin Seeger 2019-03-12 11:25:12 UTC
(In reply to Andreas Schneider from comment #6)
Pushed to autobuild-v4-{10,9,8}-test.
Comment 8 Karolin Seeger 2019-03-19 09:25:25 UTC
(In reply to Karolin Seeger from comment #7)
Pushed to all branches.
Closing out bug report.

Thanks!